
<h1>Listing Bookings</h1>


<%= link_to 'Book New Seat', new_booking_path, class: "btn btn-primary" %>


<table class="table">
  <thead>
    <tr>
      <th>Name</th>
      <th>Desk</th>
      <th>From/To</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @bookings.each do |booking| %>
      <tr>
        <td><%= booking.user.name %></td>
        <td><%= booking.desk.name %></td>
        <td><%= booking.start_at.strftime("%d %b") %> - <%= booking.end_at.strftime("%d %b") %></td>
        <td><%#= booking.end_at %></td>

        <%if booking.end_at < DateTime.now %>
          <td>Past</td>
        <%else%>
          <%if current_user && booking.user == current_user%>
            <td><%= link_to 'View', booking %></td>
            <td><%= link_to 'Edit', edit_booking_path(booking) %></td>
            <td><%= link_to 'Cancel', booking, method: :delete, data: { confirm: 'Are you sure?' } %></td>
          <%else%>
            <td><%= link_to 'View', booking %></td>
          <% end -%>
        <% end -%>
      </tr>
    <% end %>
  </tbody>
</table>

<br>


